aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 06:52:13 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:06 +0000
commitd6e8e1bd3ef7a5ae86e7035fae9fb794c1aa4584 (patch)
treea6b5f43915bfd736dc863ffa1c700dab481d6e1a
parentb96c3b177dc77e9c89d48690b0871530c8d6c12e (diff)
downloadaports-d6e8e1bd3ef7a5ae86e7035fae9fb794c1aa4584.tar.gz
aports-d6e8e1bd3ef7a5ae86e7035fae9fb794c1aa4584.tar.bz2
aports-d6e8e1bd3ef7a5ae86e7035fae9fb794c1aa4584.tar.xz
main/font-dec-misc: upgrade to 1.0.3
-rw-r--r--main/font-dec-misc/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-dec-misc/APKBUILD b/main/font-dec-misc/APKBUILD
index 2ee0ce3276..731d1cb771 100644
--- a/main/font-dec-misc/APKBUILD
+++ b/main/font-dec-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-dec-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="284e554db1c64fb7580a06df01444a2b font-dec-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="6e7c5108f1b16d7a1c7b2c9760edd6e5 font-dec-misc-1.0.3.tar.bz2"
+sha256sums="e19ddf8b5f8de914d81675358fdfe37762e9ce524887cc983adef34f2850ff7b font-dec-misc-1.0.3.tar.bz2"
+sha512sums="af755d51c4c59cdbe5d3dccf37990bc787373958feb984bb037c8d8aba8a0eb410965a3600886b5123d89e85e1ea0498b84dfa384fccbbcbcaf3549b83c839c6 font-dec-misc-1.0.3.tar.bz2"